package com.gh.gamecenter.core.provider

import android.app.Application

import org.json.JSONObject

interface ISensorsProvider {
    fun init(application: Application, channel: String)

    fun login(loginId: String)

    fun logout(loginId: String)

    fun setOAID(oaid: String)

    fun trackEvent(eventName: String, vararg kv: Any = arrayOf())

    fun trackEvent(eventName: String, jsonObject: JSONObject)

    fun profileSet(key: String, value: String)

    fun profileAppend(key: String, value: String)
}